summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author powtrix <powtrix@gmail.com>2012-04-20 16:20:50 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-04-20 16:20:50 -0400
commit694935d32771a52926a5d6a2c4a03c002d342ecb (patch)
tree42fb196a45fefac6bd53e718a3c6f543dbee723f
parente8417c3243273c4ebe3a8df6413e2265a1ce90b4 (diff)
downloadslackbuilds-694935d32771a52926a5d6a2c4a03c002d342ecb.tar.gz
slackbuilds-694935d32771a52926a5d6a2c4a03c002d342ecb.tar.xz
system/kexec-tools: Added (Reboot and Crash Analysis for Linux)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/kexec-tools/README10
-rw-r--r--system/kexec-tools/kexec-tools.SlackBuild81
-rw-r--r--system/kexec-tools/kexec-tools.info10
-rw-r--r--system/kexec-tools/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/system/kexec-tools/README b/system/kexec-tools/README
new file mode 100644
index 0000000000..bae740076c
--- /dev/null
+++ b/system/kexec-tools/README
@@ -0,0 +1,10 @@
+kexec is a system call that enables you to load and boot into another
+kernel from the currently running kernel. kexec performs the function
+of the boot loader from within the kernel. The primary difference
+between a standard system boot and a kexec boot is that the hardware
+initialization normally performed by the BIOS or firmware (depending on
+architecture) is not performed during a kexec boot. This has the effect
+of reducing the time required for a reboot.
+
+Make sure you have selected CONFIG_KEXEC=y when configuring the kernel.
+The CONFIG_KEXEC option enables the kexec system call.
diff --git a/system/kexec-tools/kexec-tools.SlackBuild b/system/kexec-tools/kexec-tools.SlackBuild
new file mode 100644
index 0000000000..28c91e819d
--- /dev/null
+++ b/system/kexec-tools/kexec-tools.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for kexec-tools
+# Written by powtrix (@gmail.com)
+
+PRGNAM=kexec-tools
+VERSION=${VERSION:-2.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $TMP
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 555 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2>/dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ); do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL News TODO doc/{*.txt,multiboot.html} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/kexec-tools/kexec-tools.info b/system/kexec-tools/kexec-tools.info
new file mode 100644
index 0000000000..10b226e056
--- /dev/null
+++ b/system/kexec-tools/kexec-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="kexec-tools"
+VERSION="2.0.3"
+HOMEPAGE="http://horms.net/projects/kexec/"
+DOWNLOAD="https://www.kernel.org/pub/linux/utils/kernel/kexec/kexec-tools-2.0.3.tar.xz"
+MD5SUM="703ffde63d1cbe6a48a2e081f78dab46"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="powtrix"
+EMAIL="powtrix@gmail.com"
+APPROVED="dsomero"
diff --git a/system/kexec-tools/slack-desc b/system/kexec-tools/slack-desc
new file mode 100644
index 0000000000..6ede3cfeaa
--- /dev/null
+++ b/system/kexec-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kexec-tools: kexec-tools (Soft-Reboot and Crash-Dump Analysis for Linux and Xen)
+kexec-tools:
+kexec-tools: kexec is a system call that enables you to load and booy into
+kexec-tools: another kernel from the currently running kernel. kexec performs
+kexec-tools: the function of the boot loader from within the kernel. The
+kexec-tools: Primary difference between a standard system boot and a kexec boot
+kexec-tools: is that the hardware initialization normally performed by the BIOS
+kexec-tools: or firmware is not performed during a kexec boot. This has the
+kexec-tools: the effect of reducing the time required for a reboot.
+kexec-tools: Make sure you have selected CONFIG_KEXEC=y when configuring the
+kexec-tools: kernel. The CONFIG_KEXEC option enables the kexec system call.